# apphoster plugin

[![fastlane Plugin Badge](https://rawcdn.githack.com/fastlane/fastlane/master/fastlane/assets/plugin-badge.svg)](https://rubygems.org/gems/fastlane-plugin-apphoster)

## Getting Started

This project is a [_fastlane_](https://github.com/fastlane/fastlane) plugin. To get started with `fastlane-plugin-apphoster`, add it to your project by running:

```bash
fastlane add_plugin apphoster
```

## About apphoster

A simple plugin to upload your ipa file to [app-host](https://github.com/pluosi/app-host) Server in fastlane.

**Note to author:** Add a more detailed description about this plugin here. If your plugin contains multiple actions, make sure to mention them here.

## Example

if youur project use fastlane to build ipa file (just supported iOS file now) , and use app-host sever to upload ipa file to install app.

```
fastlane add_plugin apphoster
```

```
lane :beta do
  build_app(export_method: "ad-hoc")
  apphoster(api_host: "https://xxx.com, token: "your app-host token", plat_id: "your plat_id")
end
```

```
fastlane beta
```

now you can auto build a ad-hoc ipa file and auto upload to app-host sever

## Run tests for this plugin

To run both the tests, and code style validation, run

```
rake
```

To automatically fix many of the styling issues, use
```
rubocop -a
```

## Issues and Feedback

For any other issues and feedback about this plugin, please submit it to this repository.

## Troubleshooting

If you have trouble using plugins, check out the [Plugins Troubleshooting](https://docs.fastlane.tools/plugins/plugins-troubleshooting/) guide.

## Using _fastlane_ Plugins

For more information about how the `fastlane` plugin system works, check out the [Plugins documentation](https://docs.fastlane.tools/plugins/create-plugin/).

## About _fastlane_

_fastlane_ is the easiest way to automate beta deployments and releases for your iOS and Android apps. To learn more, check out [fastlane.tools](https://fastlane.tools).
